// Gummibaeren-Quiz

import java.io.*;

class KlasseA {
	String artikel;

	KlasseA () {}
	KlasseA (String s) { artikel = s; }
	
	String getArtikel() { return artikel; }
}
	
public class KlasseB extends KlasseA implements Serializable {
	int anzahl;
	transient String ID;
	
	KlasseB (String bezeichnung, int anz, String eineID) {
		super (bezeichnung);
		anzahl = anz; ID = eineID;
	}
	
	public static void main (String[] args) {
		try {
			KlasseB einB = new KlasseB("Topf", 17, "xyz");
			
			ObjectOutputStream os = new ObjectOutputStream(new FileOutputStream("test.ser"));
			os.writeObject(einB);							// serialisieren
			os.close();
			
			ObjectInputStream is = new ObjectInputStream(new FileInputStream("test.ser"));			
			KlasseB neuesB = (KlasseB) is.readObject();		// deserialisieren
			is.close();
			
			System.out.println (neuesB.artikel + " " + neuesB.anzahl + " " + neuesB.ID);
			
		} catch (Exception ex) {
			ex.printStackTrace();
		}		
	}	
}